%global modname datanommer.models

Name:           python-datanommer-models
Version:        0.2.0
Release:        2%{?dist}
Summary:        SQLAlchemy models for datanommer

Group:          Development/Libraries
License:        GPLv3+
URL:            http://pypi.python.org/pypi/%{modname}
Source0:        http://pypi.python.org/packages/source/d/%{modname}/%{modname}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  python-nose

BuildRequires:  fedmsg
Requires:       fedmsg

%if %{?rhel}%{!?rhel:0} >= 6
BuildRequires:    python-sqlalchemy0.7
Requires:         python-sqlalchemy0.7
%else
BuildRequires:    python-sqlalchemy >= 0.7
Requires:         python-sqlalchemy >= 0.7
%endif

# Its a whole different package now
Conflicts:      datanommer < 0.2.0

%description
SQLAlchemy models for datanommer.

%prep
%setup -q -n %{modname}-%{version}

# Remove upstream egg-info so that it gets rebuilt.
rm -rf *.egg-info

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root=%{buildroot}

# fedmsg owns this directory, but we're going to add a file.
%{__mkdir_p} %{buildroot}%{_sysconfdir}/fedmsg.d/
%{__cp} example-config.py %{buildroot}%{_sysconfdir}/fedmsg.d/datanommer.py

%check
%{__python} setup.py test

%files
%doc README.rst LICENSE
%{python_sitelib}/datanommer/
%{python_sitelib}/%{modname}-%{version}*

%config(noreplace) %{_sysconfdir}/fedmsg.d/datanommer.py*


%changelog
* Thu Oct 11 2012 Ralph Bean <rbean@redhat.com> - 0.2.0-2
- Remove upstream egg-info so that its gets rebuilt.
* Thu Oct 11 2012 Ralph Bean <rbean@redhat.com> - 0.2.0-1
- Initial split out from the main datanommer package.
